curs_addstr(3)

NAME
addstr, addnstr, waddstr, waddnstr, mvaddstr, mvaddnstr, mvwaddstr, mvwaddnstr - add a string of characters to a ncurses window and advance cursor

SYNOPSIS
#include <ncurses.h> int addstr(char *str);
int addnstr(char *str, int n);
int waddstr(WINDOW *win, char *str);
int waddnstr(WINDOW *win, char *str, int n);
int mvaddstr(y, int x, char *str);
int mvaddnstr(y, int x, char *str, int n);
int mvwaddstr(WINDOW *win, int y, int x, char *str);
int mvwaddnstr(WINDOW *win, int y, int x, char *str,
      int n);

DESCRIPTION
These routines write the characters of the null terminated character string str on the given window. It is similar to calling waddch once for each character in the string. The four routines with n as the last argument write at most n characters. If n is negative, then the entire string will be added.

RETURN VALUE
All routines return the integer ERR upon failure and an integer value other than ERR upon successful completion.

NOTES
Note that all of these routines except waddstr and waddnstr may be macros.

SEE ALSO
ncurses(3), curs_addch(3).